Subject: Re: [v6ops] IPv6 for mobile

From: <[email-masked]>
Date: Sun, 26 Dec 2010 09:08:06 +0000

For a set of terminals you could probably make a patch or add-on (very much like VPNs), but afaik these same "sortsighted market forces" are not so interested to provide IPv6 for legacy terminals, but are planning to wait for the rather quick device replacement cycle to do the job.

The thing might be different if there were some must-have IPv6-only services that just would have to be made available also for the legacy terminal owners.... But there's none.

And as said many times, the host based tunneling in cellular networks was just considered too problematic in overall (e.g. our attempts to push for DS-Lite as a solution to serve legacy IPv4-only apps were rejected because of the problems of tunnels).

Best regards,

Teemu

----- Original message -----
> On Sat, 25 Dec 2010, [email-masked]<mailto:[email-masked]> wrote:
>
> > The 6RD does not really help in 3GPP based cellular networks, because
> > the root cause is not lack of technologies to offer IPv6
> connectivity,
> > but lack of business interest to do so. And when the business
> interest
> > really arises the small problems like lack of baseband IPv6 support
> and
> > such are sure to be promptly fixed.
>
> 6RD might be of help if this means an old device can gain DS
> connectivity
> by means of installing an app (I have no idea if it can be done for
> Apple
> iOS and Android devices) where the baseband upgrade would cost money
> and
> the vendor is not interested in forking out this money for devices
> already
> sold.
>
> And the rest of your email just describes why short sighted market
> economy
> often doesn't do the right long term thing, but discussing this would be
> a
> political discussion so let's not get into that.
>
> --
> Mikael Abrahamsson      email: [email-masked]<mailto:[email-masked]>
>

---

From: Mikael Abrahamsson <[email-masked]>
Date: Sun, 26 Dec 2010 11:40:21 +0100 (CET)

On Sun, 26 Dec 2010, [email-masked] wrote:

> For a set of terminals you could probably make a patch or add-on (very 
> much like VPNs), but afaik these same "sortsighted market forces" are 
> not so interested to provide IPv6 for legacy terminals, but are planning 
> to wait for the rather quick device replacement cycle to do the job.

What are the odds that a majority of new phones sold in mid 2011 will have 
proper IPv6 support? We (mobile operator) can be ready by then easily, but 
without a comittment from the major vendors that this will happen it's 
hard to allocate resources for this instead of focusing on deploying 
NAT44.

We have two ways out of IPv4 run-out right now, either deploy NAT44 for 
our mobile customers (all kinds) or hope that IPv6 support will be in 
handsets. I fear that we have to do both, but since we know for a fact 
NAT44 will work, this will have higher priority.

-- 
Mikael Abrahamsson    email: [email-masked]

---

From: Cameron Byrne <[email-masked]>
Date: Sun, 26 Dec 2010 05:13:52 -0800

On Sun, Dec 26, 2010 at 2:40 AM, Mikael Abrahamsson <[email-masked]> wrote:
>> much like VPNs), but afaik these same "sortsighted market forces" are not so
>> interested to provide IPv6 for legacy terminals, but are planning to wait
>> for the rather quick device replacement cycle to do the job.
>
> without a comittment from the major vendors that this will happen it's hard
> to allocate resources for this instead of focusing on deploying NAT44.
>
> We have two ways out of IPv4 run-out right now, either deploy NAT44 for our
> mobile customers (all kinds) or hope that IPv6 support will be in handsets.
> I fear that we have to do both, but since we know for a fact NAT44 will
> work, this will have higher priority.
>

>From my perspective, doing both IPv6-only nat64 and IPv4 NAT44 is
required.  I see 2 types of customer and handset pairs:  those that
require IPv4 and those that can work well with IPv6.  For those that
require IPv4, NAT44 is the path.  We do it today for 99% of our 30
million customers

For users that can work well with IPv6, we MUST transition them to
IPv6 to start chipping away at the IPv4 only user base and demonstrate
to the community at large that IPv6 is REAL and NOW. We, as SPs, have
to gain experience in supplying IPv6 services and the only way to do
that is to start rolling it out to customers, one handset model at a
time.

In theory, there are a group of customers that require IPv4 and IPv6
at the same time, aka dual stack.  But, i think it is only in theory,
All the *real world use cases* i am aware of 100% work with IPv4-only
NAT44.  Some subset of that can work with IPv6-only + NAT64, and that
is the subset i will start to transition and grow.

Cameron
> _______________________________________________
> v6ops mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/v6ops
>

---

From: "Frank Bulk - iName.com" <[email-masked]>
Date: Sun, 26 Dec 2010 07:46:05 -0600

A company like Apple was in a unique position with the iPhone that it could
have required the use of IPv6 by mobile networks for its devices in
association with its exclusive arrangements.  

Frank

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Mikael Abrahamsson
Sent: Sunday, December 26, 2010 4:40 AM
To: [email-masked]
Cc: [email-masked]
Subject: Re: [v6ops] IPv6 for mobile